# Method Image.Image()->color()

Method color

  `object color()`
  `object color(int value)`
  `object color(Color color)`
  `object color(int r, int g, int b)`

Description

  Colorize an image.

  The red, green and blue values of the pixels are multiplied with the given value(s). This works best on a grey image...

  The result is divided by 255, giving correct pixel values.

  If no arguments are given, the current color is used as factors.

  original | ->color(128,128,255);

Parameter `r`
Parameter `g`
Parameter `b`

  red, green, blue factors

Parameter `color`

  Color object with factors

Parameter `value`

  factor

Returns

  the new image object

See also

  grey, `*, modify_by_intensity